# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_ExternFile Class Reference

Auxiliary class serving as container for data resulting
from translation of external file
.

`#include <STEPCAFControl_ExternFile.hxx>`

## Public Member Functions

Standard_EXPORT | STEPCAFControl_ExternFile ()
| Creates an empty structure .
void | SetWS (const Handle(XSControl_WorkSession)&WS)
Handle_XSControl_WorkSession | GetWS () const
void | SetLoadStatus (const IFSelect_ReturnStatus stat)
IFSelect_ReturnStatus | GetLoadStatus () const
void | SetTransferStatus (const Standard_Boolean isok)
Standard_Boolean | GetTransferStatus () const
void | SetWriteStatus (const IFSelect_ReturnStatus stat)
IFSelect_ReturnStatus | GetWriteStatus () const
void | SetName (const Handle(TCollection_HAsciiString)&name)
Handle_TCollection_HAsciiString | GetName () const
void | SetLabel (const TDF_Label &L)
TDF_Label | GetLabel () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_XSControl_WorkSession | myWS
IFSelect_ReturnStatus | myLoadStatus
Standard_Boolean | myTransferStatus
IFSelect_ReturnStatus | myWriteStatus
Handle_TCollection_HAsciiString | myName
TDF_Label | myLabel

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_ExternFile::STEPCAFControl_ExternFile | ( |  | ) |

## Member Function Documentation

TDF_Label STEPCAFControl_ExternFile::GetLabel | ( |  | ) | const`[inline]`

IFSelect_ReturnStatus STEPCAFControl_ExternFile::GetLoadStatus | ( |  | ) | const`[inline]`

Handle_TCollection_HAsciiString STEPCAFControl_ExternFile::GetName | ( |  | ) | const

Standard_Boolean STEPCAFControl_ExternFile::GetTransferStatus | ( |  | ) | const`[inline]`

IFSelect_ReturnStatus STEPCAFControl_ExternFile::GetWriteStatus | ( |  | ) | const`[inline]`

Handle_XSControl_WorkSession STEPCAFControl_ExternFile::GetWS | ( |  | ) | const

Standard_EXPORT const STEPCAFControl_ExternFile::Handle | ( | Standard_Type |  | ) | const

void STEPCAFControl_ExternFile::SetLabel | ( | const TDF_Label & | L | ) | `[inline]`

void STEPCAFControl_ExternFile::SetLoadStatus | ( | const IFSelect_ReturnStatus | stat | ) | `[inline]`

void STEPCAFControl_ExternFile::SetName | ( | const Handle(TCollection_HAsciiString)& | name | ) | `[inline]`

void STEPCAFControl_ExternFile::SetTransferStatus | ( | const Standard_Boolean | isok | ) | `[inline]`

void STEPCAFControl_ExternFile::SetWriteStatus | ( | const IFSelect_ReturnStatus | stat | ) | `[inline]`

void STEPCAFControl_ExternFile::SetWS | ( | const Handle(XSControl_WorkSession)& | WS | ) | `[inline]`

## Field Documentation

TDF_Label STEPCAFControl_ExternFile::myLabel `[private]`

IFSelect_ReturnStatus STEPCAFControl_ExternFile::myLoadStatus `[private]`

Handle_TCollection_HAsciiString STEPCAFControl_ExternFile::myName `[private]`

Standard_Boolean STEPCAFControl_ExternFile::myTransferStatus `[private]`

IFSelect_ReturnStatus STEPCAFControl_ExternFile::myWriteStatus `[private]`

Handle_XSControl_WorkSession STEPCAFControl_ExternFile::myWS `[private]`

The documentation for this class was generated from the following files:

- STEPCAFControl_ExternFile.hxx
- STEPCAFControl_ExternFile.lxx